---
title: Suno Séparer les pistes audio | RunAPI
description: Utilisez le point de terminaison de séparation des pistes audio pour
  créer une tâche asynchrone.
url: https://runapi.ai/fr/docs/api/suno/separate-audio-stems.md
canonical: https://runapi.ai/fr/docs/api/suno/separate-audio-stems
locale: fr
---

> Version HTML: https://runapi.ai/fr/docs/api/suno/separate-audio-stems
> Index du site pour les agents: https://runapi.ai/llms.txt

# Suno Séparer les pistes audio

## Vue d'ensemble

Utilisez le point de terminaison de séparation des pistes audio avec les entrées requises. Utilisez l'ID de tâche retourné pour récupérer son état, ou fournissez callback_url pour les livraisons documentées ci-dessous.

### Démarrage rapide

1. Créez une clé API et définissez-la comme RUNAPI_API_KEY.
2. Envoyer une requête POST dont le corps correspond au schéma de requête.
3. Enregistrez l'identifiant de tâche retourné, puis interrogez l'état jusqu'à atteindre un état terminal ou gérez les callbacks documentés ci-dessous.

## Point de terminaison

POST /api/v1/suno/separate_audio_stems

URL de base: https://runapi.ai

Version de l'API: v1

Authentification: Authorization: Bearer YOUR_API_TOKEN

## Modèles pris en charge

Ouvrez une page de modèle pour consulter la tarification actuelle, les limites de débit et les conditions d'utilisation commerciale.

- [Suno](https://runapi.ai/fr/models/suno)

## Schéma de requête

Envoyez uniquement les champs documentés. Lorsqu'il est fourni, callback_url reçoit les livraisons de Task documentées ci-dessous.

### Corps de la requête

```json
{
  "audio_id": {
    "description": "Identifiant audio dans la tâche source.",
    "required": true,
    "type": "string"
  },
  "callback_url": {
    "description": "URL de webhook pour les notifications asynchrones.",
    "type": "string"
  },
  "stem_name": {
    "description": "Stem cible pour la séparation avancée. Obligatoire lorsque le type est split_stem_advanced.",
    "enum": [
      "Lead Vocal",
      "Drum Kit",
      "Kick",
      "Snare",
      "Risers",
      "Bass",
      "Backing Vocals",
      "Piano",
      "Electric Guitar",
      "Percussion",
      "String Section",
      "Synth",
      "Acoustic Guitar",
      "Sound Effects",
      "Synth Pad",
      "Synth Bass",
      "Guitar",
      "Brass Section",
      "Organ",
      "Electronic Drum Kit",
      "Lead Electric Guitar",
      "Synth Keys",
      "Rhythm Electric Guitar",
      "Electric Piano",
      "Upright Bass",
      "Keyboards",
      "Distorted Electric Guitar",
      "Synth Strings",
      "Synth Lead",
      "Woodwinds",
      "Rhythm Acoustic Guitar",
      "Flute",
      "Harp",
      "Tambourine",
      "Trumpet",
      "Arpeggiator",
      "Accordion",
      "Fiddle",
      "Pedal Steel Guitar",
      "Synth Voice",
      "Violin",
      "Digital Piano",
      "Synth Brass",
      "Mandolin",
      "Choir",
      "Banjo",
      "Bells",
      "Clarinet",
      "Tenor Saxophone",
      "Trombone",
      "Shaker",
      "French Horn",
      "Glockenspiel",
      "Electric Bass",
      "Cello",
      "Timpani",
      "Harmonica",
      "Marimba",
      "Vibraphone",
      "Lap Steel Guitar",
      "Saxophone",
      "Orchestra",
      "Horns",
      "Cymbals",
      "Hand Clap",
      "Oboe",
      "Celesta",
      "Congas",
      "Drone",
      "Alto Saxophone",
      "Double Bass",
      "Ukulele",
      "Harpsichord",
      "Baritone Saxophone",
      "Xylophone",
      "Tuba",
      "Bass Guitar",
      "Whistle",
      "Lead Guitar",
      "Rhodes",
      "808",
      "Bongos",
      "Bassoon",
      "Cowbell",
      "Viola",
      "Sitar",
      "Steel Drums",
      "Piccolo",
      "Theremin",
      "Bagpipes",
      "Hi-Hat",
      "Music Box",
      "Melodica",
      "Tabla",
      "Koto",
      "Djembe",
      "Taiko",
      "Didgeridoo"
    ],
    "type": "string"
  },
  "task_id": {
    "description": "ID de task source.",
    "required": true,
    "type": "string"
  },
  "type": {
    "default": "separate_vocal",
    "description": "Mode de séparation des pistes.",
    "enum": [
      "separate_vocal",
      "split_stem",
      "split_stem_advanced"
    ],
    "type": "string"
  }
}
```

#### Règles conditionnelles

Ces exigences s'appliquent lorsque toutes les conditions listées sont réunies.

- **Lorsque**: `type` = `split_stem_advanced`; **Requis**: `stem_name`

## Créer une acceptation

HTTP 202 - POST /api/v1/suno/separate_audio_stems

### Schéma de réponse

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    },
    "task_replayed": {
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Interrogation en cours

HTTP 200 - GET /api/v1/suno/separate_audio_stems/:id

### Schéma de réponse

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "separated_audios": {
      "properties": {
        "backing_vocals_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "bass_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "brass_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "drums_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "fx_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "guitar_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "instrumental_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "keyboard_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "pairs": {
          "items": {
            "properties": {
              "extracted_audio": {
                "properties": {
                  "audio_url": {
                    "type": "string",
                    "x-runapi-generated-media": true
                  },
                  "duration_seconds": {
                    "type": "number"
                  },
                  "id": {
                    "type": "string"
                  }
                },
                "required": [
                  "id",
                  "duration_seconds",
                  "audio_url"
                ],
                "type": "object",
                "unevaluatedProperties": false
              },
              "remaining_audio": {
                "properties": {
                  "audio_url": {
                    "type": "string",
                    "x-runapi-generated-media": true
                  },
                  "duration_seconds": {
                    "type": "number"
                  },
                  "id": {
                    "type": "string"
                  }
                },
                "required": [
                  "id",
                  "duration_seconds",
                  "audio_url"
                ],
                "type": "object",
                "unevaluatedProperties": false
              },
              "stem_name": {
                "type": "string"
              }
            },
            "required": [
              "stem_name",
              "extracted_audio",
              "remaining_audio"
            ],
            "type": "object",
            "unevaluatedProperties": false
          },
          "type": "array"
        },
        "percussion_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "piano_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "strings_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "synth_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "vocal_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "woodwinds_url": {
          "type": "string",
          "x-runapi-generated-media": true
        }
      },
      "type": "object",
      "unevaluatedProperties": false
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Interrogation terminée

HTTP 200 - GET /api/v1/suno/separate_audio_stems/:id

### Schéma de réponse

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "separated_audios": {
      "properties": {
        "backing_vocals_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "bass_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "brass_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "drums_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "fx_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "guitar_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "instrumental_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "keyboard_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "pairs": {
          "items": {
            "properties": {
              "extracted_audio": {
                "properties": {
                  "audio_url": {
                    "type": "string",
                    "x-runapi-generated-media": true
                  },
                  "duration_seconds": {
                    "type": "number"
                  },
                  "id": {
                    "type": "string"
                  }
                },
                "required": [
                  "id",
                  "duration_seconds",
                  "audio_url"
                ],
                "type": "object",
                "unevaluatedProperties": false
              },
              "remaining_audio": {
                "properties": {
                  "audio_url": {
                    "type": "string",
                    "x-runapi-generated-media": true
                  },
                  "duration_seconds": {
                    "type": "number"
                  },
                  "id": {
                    "type": "string"
                  }
                },
                "required": [
                  "id",
                  "duration_seconds",
                  "audio_url"
                ],
                "type": "object",
                "unevaluatedProperties": false
              },
              "stem_name": {
                "type": "string"
              }
            },
            "required": [
              "stem_name",
              "extracted_audio",
              "remaining_audio"
            ],
            "type": "object",
            "unevaluatedProperties": false
          },
          "type": "array"
        },
        "percussion_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "piano_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "strings_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "synth_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "vocal_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "woodwinds_url": {
          "type": "string",
          "x-runapi-generated-media": true
        }
      },
      "type": "object",
      "unevaluatedProperties": false
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "separated_audios",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "separated_audios": {
    "instrumental_url": "https://file.runapi.ai/reference-instrumental.mp3",
    "vocal_url": "https://file.runapi.ai/reference-vocals.mp3"
  },
  "status": "completed"
}
```

## Échec de l'interrogation

HTTP 200 - GET /api/v1/suno/separate_audio_stems/:id

### Schéma de réponse

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "error": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "error": "Task processing failed.",
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Rappel client : terminé

HTTP 200 - POST callback_url

### Schéma de réponse

```json
{
  "properties": {
    "id": {
      "type": "string"
    },
    "separated_audios": {
      "properties": {
        "backing_vocals_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "bass_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "brass_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "drums_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "fx_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "guitar_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "instrumental_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "keyboard_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "pairs": {
          "items": {
            "properties": {
              "extracted_audio": {
                "properties": {
                  "audio_url": {
                    "type": "string",
                    "x-runapi-generated-media": true
                  },
                  "duration_seconds": {
                    "type": "number"
                  },
                  "id": {
                    "type": "string"
                  }
                },
                "required": [
                  "id",
                  "duration_seconds",
                  "audio_url"
                ],
                "type": "object",
                "unevaluatedProperties": false
              },
              "remaining_audio": {
                "properties": {
                  "audio_url": {
                    "type": "string",
                    "x-runapi-generated-media": true
                  },
                  "duration_seconds": {
                    "type": "number"
                  },
                  "id": {
                    "type": "string"
                  }
                },
                "required": [
                  "id",
                  "duration_seconds",
                  "audio_url"
                ],
                "type": "object",
                "unevaluatedProperties": false
              },
              "stem_name": {
                "type": "string"
              }
            },
            "required": [
              "stem_name",
              "extracted_audio",
              "remaining_audio"
            ],
            "type": "object",
            "unevaluatedProperties": false
          },
          "type": "array"
        },
        "percussion_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "piano_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "strings_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "synth_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "vocal_url": {
          "type": "string",
          "x-runapi-generated-media": true
        },
        "woodwinds_url": {
          "type": "string",
          "x-runapi-generated-media": true
        }
      },
      "type": "object",
      "unevaluatedProperties": false
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "separated_audios"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "id": "tsk_reference_demo",
  "separated_audios": {
    "instrumental_url": "https://file.runapi.ai/reference-instrumental.mp3",
    "vocal_url": "https://file.runapi.ai/reference-vocals.mp3"
  },
  "status": "completed"
}
```

## Rappel client : échoué

HTTP 200 - POST callback_url

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "oneOf": [
        {
          "type": "string"
        },
        {
          "properties": {
            "code": {
              "type": "string"
            },
            "limit_cents": {
              "type": "integer"
            },
            "message": {
              "type": "string"
            },
            "reset_at": {
              "format": "date-time",
              "type": [
                "string",
                "null"
              ]
            },
            "used_cents": {
              "type": "integer"
            },
            "window": {
              "enum": [
                "1h",
                "1d",
                "7d",
                "daily",
                "weekly",
                "monthly",
                "lifetime"
              ],
              "type": "string"
            }
          },
          "required": [
            "code",
            "message"
          ],
          "type": "object",
          "unevaluatedProperties": false
        }
      ]
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": {
    "code": "generation_failed",
    "message": "Task processing failed."
  },
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Erreurs

HTTP 401 - POST /api/v1/suno/separate_audio_stems

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "Authentication required"
}
```

## Erreurs

HTTP 401 - GET /api/v1/suno/separate_audio_stems/:id

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "Authentication required"
}
```

## Erreurs

HTTP 400 - POST /api/v1/suno/separate_audio_stems

### Schéma de réponse

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "Message d'erreur lisible par l'humain.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "Résumé de validation lisible par l'humain.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Messages de validation indexés par champ de requête public, avec un tableau de chaînes lisibles par l'humain pour chaque champ.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### Exemple de réponse

```json
{
  "error": "Validation failed",
  "errors": {
    "task_id": [
      "is required"
    ]
  }
}
```

## Erreurs

HTTP 402 - POST /api/v1/suno/separate_audio_stems

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "Insufficient balance"
}
```

## Erreurs

HTTP 429 - POST /api/v1/suno/separate_audio_stems

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "API key credit limit exceeded"
}
```

## Erreurs

HTTP 409 - POST /api/v1/suno/separate_audio_stems

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## Erreurs

HTTP 429 - POST /api/v1/suno/separate_audio_stems

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## Erreurs

HTTP 503 - POST /api/v1/suno/separate_audio_stems

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## Erreurs

HTTP 504 - POST /api/v1/suno/separate_audio_stems

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "The request timed out"
}
```

## Erreurs

HTTP 404 - GET /api/v1/suno/separate_audio_stems/:id

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "Task with id 'tsk_reference_demo' not found"
}
```

## Exemples de code générés

Utilisez directement cURL, ou installez un SDK pour votre langage. Chaque exemple soumet la requête validée indiquée dans cette référence.

### curl

```curl
curl -X POST https://runapi.ai/api/v1/suno/separate_audio_stems \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"task_id":"tsk_source_music","audio_id":"audio_reference","type":"separate_vocal"}'
```

### javascript

#### Installer

```bash
npm install @runapi.ai/suno
```

```javascript
import { SunoClient } from "@runapi.ai/suno";

const client = new SunoClient({ apiKey: process.env.RUNAPI_API_KEY });
const task = await client.separateAudioStems.create({
  "task_id": "tsk_source_music",
  "audio_id": "audio_reference",
  "type": "separate_vocal"
});
```

### python

#### Installer

```bash
pip install runapi-suno
```

```python
import os
from runapi.suno import SunoClient

client = SunoClient(api_key=os.environ["RUNAPI_API_KEY"])
task = client.separate_audio_stems.create(
  task_id="tsk_source_music",
  audio_id="audio_reference",
  type="separate_vocal"
)
```

### go

#### Installer

```bash
go get github.com/runapi-ai/suno-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  suno "github.com/runapi-ai/suno-sdk/go/suno"
)

func main() {
  client, err := suno.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  task, err := client.SeparateAudioStems.Create(context.Background(), suno.SeparateAudioStemsParams{
    TaskID: "tsk_source_music",
    AudioID: "audio_reference",
    Type: "separate_vocal",
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = task
}
```

### ruby

#### Installer

```bash
gem install runapi-suno
```

```ruby
require "runapi/suno"

client = RunApi::Suno::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
task = client.separate_audio_stems.create(
  task_id: "tsk_source_music",
  audio_id: "audio_reference",
  type: "separate_vocal"
)
```

### java

#### Installer

```kotlin
implementation("ai.runapi:runapi-suno")
```

```java
import ai.runapi.suno.SunoClient;
import ai.runapi.suno.types.SeparateAudioStemsParams;
import ai.runapi.core.polling.TaskCreateResponse;

public final class Example {
  public static void main(String[] args) {
    SunoClient client = SunoClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    TaskCreateResponse task = client.separateAudioStems().create(
        SeparateAudioStemsParams.builder()
        .taskId("tsk_source_music")
        .audioId("audio_reference")
        .type("separate_vocal")
            .build()
    );
  }
}
```

### php

#### Installer

```bash
composer require runapi-ai/suno
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\Suno\SunoClient;

$client = new SunoClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$task = $client->separateAudioStems->create([
  "task_id" => "tsk_source_music",
  "audio_id" => "audio_reference",
  "type" => "separate_vocal"
]);
```

## Guides associés

- [Authentification](https://runapi.ai/fr/docs/guides/authentication.md)
- [Démarrage rapide](https://runapi.ai/fr/docs/guides/task-api/quickstart.md)

---

## Plus de ressources de RunAPI

- [Accueil](https://runapi.ai/fr/.md)
- [Catalogue de modèles](https://runapi.ai/fr/models.md)
- [Tarifs](https://runapi.ai/fr/pricing.md)
- [Fournisseurs](https://runapi.ai/fr/models)
- [Documentation](https://runapi.ai/fr/docs/guides)
- [SDK](https://runapi.ai/fr/sdk.md)
- [CLI](https://runapi.ai/fr/cli.md)
- [Serveur MCP](https://runapi.ai/fr/mcp.md)
- [Claude Code vs Cursor](https://runapi.ai/fr/claude-code-vs-cursor.md)
- [Configuration de l’API Cursor](https://runapi.ai/fr/cursor-api-setup.md)
- [RunAPI vs OpenRouter](https://runapi.ai/fr/openrouter-alternative.md)
- [Entreprise](https://runapi.ai/fr/contact.md)
- [Contact](https://runapi.ai/fr/contact.md)
- [Conditions](https://runapi.ai/fr/terms.md)
- [Confidentialité](https://runapi.ai/fr/privacy.md)
- [Index du site pour les agents](https://runapi.ai/llms.txt)

Contact: contact@runapi.ai

## Données structurées

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "fr",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/fr",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/fr/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "fr",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/fr",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/fricon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "fr",
    "@type": "TechArticle",
    "headline": "Suno Séparer les pistes audio",
    "description": "Utilisez le point de terminaison de séparation des pistes audio pour créer une tâche asynchrone.",
    "url": "https://runapi.ai/fr/docs/api/suno/separate-audio-stems",
    "mainEntityOfPage": "https://runapi.ai/fr/docs/api/suno/separate-audio-stems"
  }
]
```
